##
##  duplicity.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2022 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_base  0.8
%define       V_full  0.8.12
%define       V_build 1612

#   package information
Name:         duplicity
Summary:      Encrypted Bandwidth-Efficient Backup via RSYNC Algorithm
URL:          http://duplicity.nongnu.org/
Vendor:       Ben Escoto & Kenneth Loafman
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Filesystem
License:      GPL
Version:      %{V_full}
Release:      20220703

#   list of sources
Source0:      https://launchpad.net/duplicity/%{V_base}-series/%{V_full}/+download/duplicity-%{V_full}.%{V_build}.tar.gz
Patch0:       duplicity.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, cmake, python-setup
PreReq:       OpenPKG, openpkg >= 20160101, gnupg
BuildPreReq:  python, librsync
PreReq:       python, librsync

%description
    Duplicity backs directories by producing encrypted tar-format
    volumes and uploading them to a remote or local file server.
    Because duplicity uses librsync, the incremental archives are space
    efficient and only record the parts of files that have changed since
    the last backup. Because duplicity uses GnuPG to encrypt and/or sign
    these archives, they will be safe from spying and/or modification by
    the server.

%track
    prog duplicity = {
        version   = %{V_full}
        url       = http://duplicity.nongnu.org/
        regex     = duplicity-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n duplicity-%{V_full}.%{V_build}
    %patch -p0

%build
    %{l_prefix}/bin/python setup.py build \
        --librsync-dir=%{l_prefix}

%install
    %{l_prefix}/bin/python setup.py install \
        --root=$RPM_BUILD_ROOT \
        --prefix=%{l_prefix}
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/doc
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/locale
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

